import java.util.Random;
public class SimpleDie implements Rollable {
    private int dots;
    private static Random dieRandom = new Random(); 
    public SimpleDie() {
        roll();
    }//constructor

    public SimpleDie(int dots) {
        if (dots < 1 || dots > 6)
            throw new IllegalArgumentException();
        else
            this.dots = dots;
    }//constructor

    public int getValue() {
        return dots;
    } //getValue

    public void roll() {
        dots = dieRandom.nextInt(6) + 1;
    } //roll
} //SimpleDie
